## org.apache.fop.pdf
Class PDFXObject

    java.lang.Object
      |
      +--org.apache.fop.pdf.PDFObject
            |
            +--org.apache.fop.pdf.PDFXObject

public class PDFXObject
extends PDFObject

PDF XObject A derivative of the PDF Object, is a PDF Stream that has not only a dictionary but a stream of image data. the dictionary just provides information like the stream length

Fields inherited from class org.apache.fop.pdf.PDFObject
`generation, number`

Constructor Summary
`PDFXObject(int number, int Xnumber, FopImage img)` create an Xobject with the given number and name and load the image in the object

Method Summary
`int` `getXNumber()`
`protected int` `output(java.io.OutputStream stream)` represent as PDF

Methods inherited from class org.apache.fop.pdf.PDFObject
`getNumber, referencePDF`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDFXObject

    public PDFXObject(int number,
                      int Xnumber,
                      FopImage img)

  create an Xobject with the given number and name and load the image in the object

Method Detail

### getXNumber

    public int getXNumber()

  Returns:
    the PDF XObject number

### output

    protected int output(java.io.OutputStream stream)
                  throws java.io.IOException

  represent as PDF
  Overrides:
    output in class PDFObject
  Tags copied from class: PDFObject
  Parameters:
    `stream` - the stream to write the PDF to
  Returns:
    the number of bytes written

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.